/* RESET */
/* * {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
  } */

a {
  text-decoration: none;
  color: inherit;
}

/* KEYFRAMES */
@keyframes fade-up {
  0% {
    opacity: 0;
    transform: translateY(30px) scale(0.9);
  }

  100% {
    opacity: 1;
    transform: translateY(0px) scale(1);
  }
}

@keyframes fade-down {
  0% {
    opacity: 0;
    transform: translateY(-30px) scale(0.9);
  }

  100% {
    opacity: 1;
    transform: translateY(0px) scale(1);
  }
}

@keyframes fade-left {
  0% {
    opacity: 0;
    transform: translateX(30px) translateY(-50%) scale(0.9);
  }

  100% {
    opacity: 1;
    transform: translateX(0px) translateY(-50%) scale(1);
  }
}

/* UTILITIES */
.u-bold {
  font-weight: 500;
}

.u-bolder {
  font-weight: 700;
}

/* .u-yellow {
    color: #FFD600;
  } */

/* BASE STYLES */
html {
  --default-opacity: 0.2;
  --hover-opacity: 0.1;
  overflow-x: hidden;
}

body {
  /* background-color: #000; */
  font-family: "Inter", sans-serif;
  color: #fff;
  position: relative;
  overflow-x: hidden;

  scrollbar-width: none;
}

body::-webkit-scrollbar {
  display: none;
}

.color {
  height: 100%;
  width: 1024px;
  /* background-image: radial-gradient(closest-side, rgba(255, 230, 0, 0.21), #000); */
  position: absolute;
  top: -570px;
  left: 15%;
  z-index: -1;
}

/* HEADER */
.header {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 42px 62px;
  position: fixed;
  width: 100%;
}

/* MAIN */
.main {
  max-width: 1000px;
  height: 80%;
  margin: 0 auto;
  text-align: center;
  margin-top: 10px;
  margin-bottom: 90px;
  padding: 0 25px;
}

/* INTRO */
.intro {
  padding-top: 125px;
  animation: fade-up 0.5s;
}

.first-heading {
  font-size: 48px;
  font-weight: 600;
  opacity: 0.94;
  display: flex;
  justify-content: center;
  align-items: center;
}

.emoji {
  font-size: 35px;
  margin-top: -8px;
  margin-left: 3px;
}

.text {
  font-size: 40px;
  opacity: 0.9;
  font-weight: 300;
  margin-top: 11px;
  line-height: 1.1;
}

.text--second {
  display: block;
}

/* WORK */
.work {
  margin-top: 60px;
  animation: fade-up 0.6s 0.2s backwards;
}

/* TOP */
.top {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin-bottom: 35px;
}

.second-heading {
  font-size: 16px;
  font-weight: 500;
  text-transform: capitalize;
}

/* GRID */
.grid {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-template-rows: 333px 119px 325px;
  gap: 25px;
  position: relative;
}

.project {
  border-radius: 5px;
  overflow: hidden;
  position: relative;
  transition: all 0.4s;
}

.project:nth-child(1) {
  grid-column: 1 / 2;
  grid-row: 1 / 3;
}

.project:nth-child(2) {
  grid-column: 2 / 3;
  grid-row: 1 / 2;
}

.project:nth-child(3) {
  grid-column: 3 / 4;
  grid-row: 1 / 3;
}
.project:nth-child(4) {
  grid-column: 1 / 2;
  grid-row: 3 / 4;
}

.project:nth-child(5) {
  grid-column: 2 / 3;
  grid-row: 2 / 4;
}

.project:nth-child(6) {
  grid-column: 3 / 4;
  grid-row: 3 / 4;
}

.project::before {
  content: "";
  height: 100%;
  width: 100%;
  background-color: #000;
  position: absolute;
  opacity: var(--default-opacity);
  z-index: 10;
  transition: all 0.4s;
}

.project:hover::before {
  opacity: var(--hover-opacity);
}

.grid-img {
  height: 100%;
  width: 100%;
  object-fit: cover;
  transform: scale(1.08);
  transition: all 0.4s;
}

.project:hover .grid-img {
  filter: blur(2px);
  transform: scale(1.01);
}

/* PROJECT INFO */
.project-info {
  opacity: 0;
  position: absolute;
  bottom: 0;
  z-index: 100;
  text-align: left;
  padding: 24px;
  transform: translateY(10px);
  transition: all 0.4s;
}

.project:hover .project-info {
  opacity: 1;
  transform: translate(0);
}

.third-heading {
  font-size: 16px;
}

.description {
  font-size: 10px;
  margin: 3px 0 12px;
  opacity: 0.8;
}

/* FADE */
.fade {
  height: 1000px;
  width: 100%;
  position: absolute;
  bottom: 0;
  background-image: linear-gradient(to top, #000, transparent);
  pointer-events: none;
  transition: all 0.6s;
}

/* LINKS */
.links {
  position: fixed;
  right: 62px;
  top: 50%;
  transform: translateY(-50%);
  animation: fade-left 0.5s 0.8s backwards;
}

.link-item {
  transition: all 0.3s;
}

.link-item:not(:last-child) {
  margin-bottom: 20px;
}

.link-item:hover {
  transform: scale(1.15);
}

/* .link {
  
  } */

.link-img {
  width: 20px;
  height: 20px;
}

/* FOOTER
  .footer {
    max-width: 950px;
    margin: 0 auto;
    padding: 20px 0 26px;
    border-top: 1px solid rgba(255, 255, 255, 0.1);
    color: rgba(255, 255, 255, 0.4);
    display: flex;
    text-align: center;
  }
  
  .copyright {
    font-size: 12px;
  }
  
  .email {
    font-size: 12px;
    margin-left: auto;
  } */

/* MEDIA QUERIES */
@media (max-width: 1215px) {
  .header {
    padding: 25px;
    position: absolute;
  }

  .links {
    position: absolute;
    transform: initial;
    right: initial;
    top: 32px;
    left: 82px;
    display: flex;
    animation-name: fade-down;
  }

  .link-item:not(:last-child) {
    margin-right: 15px;
  }
}

@media (max-width: 1000px) {
  .project-info {
    opacity: 1;
    position: absolute;
    bottom: 0;
    z-index: 100;
    text-align: left;
    padding: 24px;
    transform: translateY(10px);
    transition: all 0.4s;
  }

  .project:hover .project-info {
    opacity: 0;
    transform: translate(0);
  }
  .intro {
    padding-top: 100px;
  }

  .work {
    margin-top: 35px;
  }

  .main {
    margin-bottom: 35px;
  }

  .footer {
    border: initial;
    padding-left: 25px;
    padding-right: 25px;
    max-width: 1000px;
  }
}

@media (max-width: 825px) {
  .grid {
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 300px 300px 300px;
    gap: 15px;
  }

  .project:nth-child(1) {
    grid-row: 1 / 2;
  }

  .project:nth-child(3) {
    grid-column: 1 / 2;
    grid-row: 2 / 3;
  }

  .project:nth-child(4) {
    grid-column: 2 / 3;
    grid-row: 2 / 3;
  }

  .project:nth-child(5) {
    grid-column: 1 / 2;
    grid-row: 3 / 4;
  }

  .project:nth-child(6) {
    grid-column: 2 / 3;
    grid-row: 3 / 4;
  }
  .nav__icons {
    margin-right: 3rem;
  }
}

@media (max-width: 620px) {
  .color {
    left: -15%;
  }

  .header {
    padding: 15px;
  }

  .links {
    top: 22px;
    left: 70px;
  }

  .first-heading {
    font-size: 42px;
  }

  .text {
    font-size: 30px;
  }

  .main {
    padding: 0 15px;
  }

  .footer {
    padding-left: 15px;
    padding-right: 15px;
  }
}

@media (max-width: 520px) {
  html {
    --default-opacity: 0.4;
    --hover-opacity: 0.3;
  }

  .text--second {
    display: inline;
  }

  .top {
    margin-bottom: 20px;
  }

  .grid {
    grid-template-columns: 1fr;
    grid-template-rows: repeat(6, 250px);
  }

  .grid .project {
    grid-column: initial;
    grid-row: initial;
  }

  .copyright {
    font-size: 11px;
  }

  .email {
    font-size: 11px;
  }
}

/* Start Mansory Gallery with Lightbox */
.mm {
  padding: 2rem 10rem;
}
.mm-columns {
  --col-width: var(--_col-width, 280px);
  --columns: var(--_columns, 5);
  --gap: var(--_gap, 20px);
  columns: var(--col-width) var(--columns);
  column-gap: var(--gap);
}
.mm-columns__item:not(:last-child) {
  margin-bottom: var(--gap);
}
.mm-columns__img {
  width: 100%;
  height: auto;
}
a {
  cursor: zoom-in;
}
@media (max-width: 1215px) {
}

/* MEDIA QUERIES */
@media (max-width: 1215px) {
  .mm {
    padding: 1rem;
  }
}
/* End Mansory Gallery with Lightbox */

.contact__address .broj {
  margin-bottom: -1.3rem;
}
.contact__address .adress {
  margin-bottom: -0.1rem;
}
